package domain

type AlibabaWdkMarketingExpirePromotionQueryExpirePeriodInfo struct {
	/*
	   优惠值     */
	PromotionValue *int64 `json:"promotion_value,omitempty" `

	/*
	   优惠结束时间（距离过期时间）     */
	EndHour *int64 `json:"end_hour,omitempty" `

	/*
	   优惠开始时间（距离过期时间）     */
	StartHour *int64 `json:"start_hour,omitempty" `

	/*
	   外部优惠id     */
	OutId *int64 `json:"out_id,omitempty" `
}

func (s *AlibabaWdkMarketingExpirePromotionQueryExpirePeriodInfo) SetPromotionValue(v int64) *AlibabaWdkMarketingExpirePromotionQueryExpirePeriodInfo {
	s.PromotionValue = &v
	return s
}
func (s *AlibabaWdkMarketingExpirePromotionQueryExpirePeriodInfo) SetEndHour(v int64) *AlibabaWdkMarketingExpirePromotionQueryExpirePeriodInfo {
	s.EndHour = &v
	return s
}
func (s *AlibabaWdkMarketingExpirePromotionQueryExpirePeriodInfo) SetStartHour(v int64) *AlibabaWdkMarketingExpirePromotionQueryExpirePeriodInfo {
	s.StartHour = &v
	return s
}
func (s *AlibabaWdkMarketingExpirePromotionQueryExpirePeriodInfo) SetOutId(v int64) *AlibabaWdkMarketingExpirePromotionQueryExpirePeriodInfo {
	s.OutId = &v
	return s
}
